<?php
$view = new view();
$view->name = 'entity_log_export_to_csv';
$view->description = '';
$view->tag = 'default';
$view->base_table = 'entity_log';
$view->human_name = 'Entity log export to csv';
$view->core = 7;
$view->api_version = '3.0';
$view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

/* Display: Master */
$handler = $view->new_display('default', 'Master', 'default');
$handler->display->display_options['title'] = 'Entity log export to csv';
$handler->display->display_options['use_more_always'] = FALSE;
$handler->display->display_options['access']['type'] = 'role';
$handler->display->display_options['access']['role'] = array(
  3 => '3',
);
$handler->display->display_options['cache']['type'] = 'none';
$handler->display->display_options['query']['type'] = 'views_query';
$handler->display->display_options['exposed_form']['type'] = 'basic';
$handler->display->display_options['pager']['type'] = 'full';
$handler->display->display_options['style_plugin'] = 'table';
$handler->display->display_options['style_options']['columns'] = array(
  'id' => 'id',
  'uid' => 'uid',
  'created' => 'created',
  'id_1' => 'id_1',
  'entity_bundle' => 'entity_bundle',
  'entity_type' => 'entity_type',
  'field_name' => 'field_name',
  'hostname' => 'hostname',
  'log_type' => 'log_type',
  'message' => 'message',
  'new_value' => 'new_value',
  'old_value' => 'old_value',
);
$handler->display->display_options['style_options']['default'] = '-1';
$handler->display->display_options['style_options']['info'] = array(
  'id' => array(
    'sortable' => 0,
    'default_sort_order' => 'asc',
    'align' => '',
    'separator' => '',
    'empty_column' => 0,
  ),
  'uid' => array(
    'sortable' => 0,
    'default_sort_order' => 'asc',
    'align' => '',
    'separator' => '',
    'empty_column' => 0,
  ),
  'created' => array(
    'sortable' => 0,
    'default_sort_order' => 'asc',
    'align' => '',
    'separator' => '',
    'empty_column' => 0,
  ),
  'id_1' => array(
    'sortable' => 0,
    'default_sort_order' => 'asc',
    'align' => '',
    'separator' => '',
    'empty_column' => 0,
  ),
  'entity_bundle' => array(
    'sortable' => 0,
    'default_sort_order' => 'asc',
    'align' => '',
    'separator' => '',
    'empty_column' => 0,
  ),
  'entity_type' => array(
    'sortable' => 0,
    'default_sort_order' => 'asc',
    'align' => '',
    'separator' => '',
    'empty_column' => 0,
  ),
  'field_name' => array(
    'sortable' => 0,
    'default_sort_order' => 'asc',
    'align' => '',
    'separator' => '',
    'empty_column' => 0,
  ),
  'hostname' => array(
    'sortable' => 0,
    'default_sort_order' => 'asc',
    'align' => '',
    'separator' => '',
    'empty_column' => 0,
  ),
  'log_type' => array(
    'sortable' => 0,
    'default_sort_order' => 'asc',
    'align' => '',
    'separator' => '',
    'empty_column' => 0,
  ),
  'message' => array(
    'sortable' => 0,
    'default_sort_order' => 'asc',
    'align' => '',
    'separator' => '',
    'empty_column' => 0,
  ),
  'new_value' => array(
    'sortable' => 0,
    'default_sort_order' => 'asc',
    'align' => '',
    'separator' => '',
    'empty_column' => 0,
  ),
  'old_value' => array(
    'sortable' => 0,
    'default_sort_order' => 'asc',
    'align' => '',
    'separator' => '',
    'empty_column' => 0,
  ),
);
/* Field: Entity Log: Entity log ID */
$handler->display->display_options['fields']['id']['id'] = 'id';
$handler->display->display_options['fields']['id']['table'] = 'entity_log';
$handler->display->display_options['fields']['id']['field'] = 'id';
/* Field: Entity Log: Uid */
$handler->display->display_options['fields']['uid']['id'] = 'uid';
$handler->display->display_options['fields']['uid']['table'] = 'entity_log';
$handler->display->display_options['fields']['uid']['field'] = 'uid';
/* Field: Entity Log: Created */
$handler->display->display_options['fields']['created']['id'] = 'created';
$handler->display->display_options['fields']['created']['table'] = 'entity_log';
$handler->display->display_options['fields']['created']['field'] = 'created';
$handler->display->display_options['fields']['created']['separator'] = '';
/* Field: Entity Log: Entity log ID */
$handler->display->display_options['fields']['id_1']['id'] = 'id_1';
$handler->display->display_options['fields']['id_1']['table'] = 'entity_log';
$handler->display->display_options['fields']['id_1']['field'] = 'id';
/* Field: Entity Log: Entity_bundle */
$handler->display->display_options['fields']['entity_bundle']['id'] = 'entity_bundle';
$handler->display->display_options['fields']['entity_bundle']['table'] = 'entity_log';
$handler->display->display_options['fields']['entity_bundle']['field'] = 'entity_bundle';
/* Field: Entity Log: Entity_type */
$handler->display->display_options['fields']['entity_type']['id'] = 'entity_type';
$handler->display->display_options['fields']['entity_type']['table'] = 'entity_log';
$handler->display->display_options['fields']['entity_type']['field'] = 'entity_type';
/* Field: Entity Log: Field_name */
$handler->display->display_options['fields']['field_name']['id'] = 'field_name';
$handler->display->display_options['fields']['field_name']['table'] = 'entity_log';
$handler->display->display_options['fields']['field_name']['field'] = 'field_name';
/* Field: Entity Log: Hostname */
$handler->display->display_options['fields']['hostname']['id'] = 'hostname';
$handler->display->display_options['fields']['hostname']['table'] = 'entity_log';
$handler->display->display_options['fields']['hostname']['field'] = 'hostname';
/* Field: Entity Log: Log_type */
$handler->display->display_options['fields']['log_type']['id'] = 'log_type';
$handler->display->display_options['fields']['log_type']['table'] = 'entity_log';
$handler->display->display_options['fields']['log_type']['field'] = 'log_type';
/* Field: Entity Log: Message */
$handler->display->display_options['fields']['message']['id'] = 'message';
$handler->display->display_options['fields']['message']['table'] = 'entity_log';
$handler->display->display_options['fields']['message']['field'] = 'message';
/* Field: Entity Log: New_value */
$handler->display->display_options['fields']['new_value']['id'] = 'new_value';
$handler->display->display_options['fields']['new_value']['table'] = 'entity_log';
$handler->display->display_options['fields']['new_value']['field'] = 'new_value';
/* Field: Entity Log: Old_value */
$handler->display->display_options['fields']['old_value']['id'] = 'old_value';
$handler->display->display_options['fields']['old_value']['table'] = 'entity_log';
$handler->display->display_options['fields']['old_value']['field'] = 'old_value';

/* Display: Data export */
$handler = $view->new_display('views_data_export', 'Data export', 'views_data_export_1');
$handler->display->display_options['pager']['type'] = 'none';
$handler->display->display_options['pager']['options']['offset'] = '0';
$handler->display->display_options['style_plugin'] = 'views_data_export_csv';
$handler->display->display_options['style_options']['provide_file'] = 1;
$handler->display->display_options['style_options']['parent_sort'] = 0;
$handler->display->display_options['style_options']['quote'] = 1;
$handler->display->display_options['style_options']['trim'] = 0;
$handler->display->display_options['style_options']['replace_newlines'] = 0;
$handler->display->display_options['style_options']['newline_token'] = '1';
$handler->display->display_options['style_options']['header'] = 1;
$handler->display->display_options['style_options']['keep_html'] = 0;
$handler->display->display_options['path'] = 'admin/config/entity_log/export';
$handler->display->display_options['displays'] = array(
  'entity_log_export_page' => 'entity_log_export_page',
  'default' => 0,
);
$handler->display->display_options['sitename_title'] = 0;
$handler->display->display_options['use_batch'] = 'batch';
$handler->display->display_options['segment_size'] = '100';

/* Display: Entity log export page */
$handler = $view->new_display('page', 'Entity log export page', 'entity_log_export_page');
$handler->display->display_options['path'] = 'config/entity_log/export';
$handler->display->display_options['menu']['title'] = 'Export entity logs';
$handler->display->display_options['menu']['weight'] = '0';
$handler->display->display_options['menu']['name'] = 'management';
$handler->display->display_options['menu']['context'] = 0;
$handler->display->display_options['menu']['context_only_inline'] = 0;
